      real a(2500)
      open(unit=10,file='TOPOGRAPHY.DAT',access='direct'm
     & ,recl=5000)

      print*,'enter record number to read'
      read(*,*)num

      read(unit=10,rec=num)a(a(i),i=1,2500)

      print*,'array'
      print*,a
      end
